## fcitx5-kkc 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

# The Project Name
project(fcitx5-kkc VERSION 5.0.7)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

option(ENABLE_QT "Enable Qt for GUI configuration" On)

find_package(PkgConfig REQUIRED)
find_package(Fcitx5Core 5.0.6 REQUIRED)
find_package(LibKKC REQUIRED)
find_package(Gettext REQUIRED)
pkg_check_modules(Gee IMPORTED_TARGET "gee-0.8" REQUIRED)
pkg_check_modules(JSonGlib IMPORTED_TARGET "json-glib-1.0" REQUIRED)
pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)

if (ENABLE_QT)
find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
endif ()

if (NOT SKK_DEFAULT_PATH)
    set(SKK_DEFAULT_PATH "/usr/share/skk/")
endif ()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-kkc\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()

configure_file(config.h.in config.h
  IMMEDIATE @ONLY)

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(gui)
add_subdirectory(data)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Kkc.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Kkc.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Kkc.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(KKC_SOURCES
    kkc.cpp
)
add_library(kkc MODULE ${KKC_SOURCES})
target_link_libraries(kkc Fcitx5::Core Fcitx5::Config LibKKC::LibKKC PkgConfig::GObject2 PkgConfig::JSonGlib PkgConfig::Gee)
target_include_directories(kkc PRIVATE ${PROJECT_BINARY_DIR})
set_target_properties(kkc PROPERTIES PREFIX "")
install(TARGETS kkc DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(kkc.conf.in kkc.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kkc.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
configure_file(kkc-addon.conf.in.in kkc-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/kkc-addon.conf.in" kkc-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kkc-addon.conf" RENAME kkc.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/dictionary_list.in ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dictionary_list rule DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/kkc")

=== debian/changelog ===
fcitx5-kkc (5.0.7-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 17:32:48 -0500

fcitx5-kkc (5.0.6-2) unstable; urgency=high

  * debian/control: Make binary package conflicts with fcitx-kkc.
    They both provides the same files and upstream has no intent
    of allowing them installed together (due to icon theme issues).
    (Closes: #998725)

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 13:20:22 -0500

fcitx5-kkc (5.0.6-1) unstable; urgency=medium

  * New upstream release 5.0.6.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 15:05:51 -0400

fcitx5-kkc (5.0.5-1) unstable; urgency=medium

  * Initial release.
  * debian/copyright: Update copyright holder on src/kkc.* files.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 10:15:46 -0400

=== debian/control ===
Source: fcitx5-kkc
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Standards-Version: 4.6.0
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5-qt-dev,
 libfcitx5core-dev,
 libgee-0.8-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libkkc-dev,
 pkg-config,
 qtbase5-dev,
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-kkc
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-kkc.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-kkc

Package: fcitx5-kkc
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Conflicts:
 fcitx-kkc,
Description: Fcitx5 wrapper for libkkc IM engine
 fcitx5-kkc is a wrapper of libkkc IM engine for Fcitx 5.
 .
 libkkc provides a converter from Japanese Kana-string to
 Kana-Kanji-mixed-string.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

%:
	dh $@

## fcitx5-kkc 5.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.0.7)
+project(fcitx5-kkc VERSION 5.0.8)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-kkc (5.0.8-1) UNRELEASED; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 26 Apr 2022 10:22:50 +0800

fcitx5-kkc (5.0.8-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:43:13 -0400

## fcitx5-kkc 5.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.0.8)
+project(fcitx5-kkc VERSION 5.0.10)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-kkc (5.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:53:35 -0400

fcitx5-kkc (5.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:21:44 -0400

## fcitx5-kkc 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.0.10)
+project(fcitx5-kkc VERSION 5.0.11)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== data/CMakeLists.txt ===
install(DIRECTORY 64x64 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

=== gui/CMakeLists.txt ===
set(KKC_CONFIG_SRCS
  main.cpp
  dictwidget.cpp
  adddictdialog.cpp
  dictmodel.cpp
  shortcutmodel.cpp
  shortcutwidget.cpp
  rulemodel.cpp
  addshortcutdialog.cpp
  )

if(NOT ENABLE_QT)
  return()
endif()

qt5_wrap_ui(KKC_CONFIG_SRCS dictwidget.ui adddictdialog.ui shortcutwidget.ui addshortcutdialog.ui)
add_library(fcitx5-kkc-config
  MODULE ${KKC_CONFIG_SRCS})

add_definitions(-DQT_NO_KEYWORDS -std=c++11)

target_include_directories(fcitx5-kkc-config PRIVATE ${PROJECT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set_target_properties(fcitx5-kkc-config PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
                      AUTOMOC TRUE
                      AUTOUIC TRUE
                      AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
target_link_libraries(fcitx5-kkc-config
  Qt5::Core
  Qt5::Widgets
  Fcitx5Qt5::WidgetsAddons
  LibKKC::LibKKC PkgConfig::GObject2 PkgConfig::JSonGlib PkgConfig::Gee
  )

install(TARGETS fcitx5-kkc-config DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== debian/changelog ===
fcitx5-kkc (5.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 15:39:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

## fcitx5-kkc 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.0.11)
+project(fcitx5-kkc VERSION 5.1.0)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 add_library(fcitx5-kkc-config
   MODULE ${KKC_CONFIG_SRCS})
 
-add_definitions(-DQT_NO_KEYWORDS -std=c++11)
+add_definitions(-DQT_NO_KEYWORDS)
 
 target_include_directories(fcitx5-kkc-config PRIVATE ${PROJECT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== debian/changelog ===
fcitx5-kkc (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, applied upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 08:57:52 -0400

fcitx5-kkc (5.0.12-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/patches: Apply upstream patch to fix FTBFS due to C++11.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Jun 2023 09:44:42 -0400

## fcitx5-kkc 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.0)
+project(fcitx5-kkc VERSION 5.1.1)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,6 +10,7 @@
 include(ECMUninstallTarget)
 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
+option(USE_QT6 "Build against Qt6" Off)
 
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Core 5.0.6 REQUIRED)
@@ -20,8 +21,14 @@
 pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)
 
 if (ENABLE_QT)
-find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
+if (USE_QT6)
+    set(QT_MAJOR_VERSION 6)
+    find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
+else()
+    set(QT_MAJOR_VERSION 5)
+    find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
+endif()
+find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
 endif ()
 
 if (NOT SKK_DEFAULT_PATH)

=== debian/changelog ===
fcitx5-kkc (5.1.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:09 +1100

fcitx5-kkc (5.1.1-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:21:15 +0000

fcitx5-kkc (5.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:19:47 +0000

fcitx5-kkc (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 16:09:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: fcitx5-kkc
 Priority: optional
 Section: utils
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Standards-Version: 4.6.2
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5-qt-dev,
- libfcitx5core-dev,
+ libfcitx5-qt-dev (>= 5.1.0),
+ libfcitx5core-dev (>= 5.1.0),
  libgee-0.8-dev,
  libglib2.0-dev,
  libjson-glib-dev,

## fcitx5-kkc 5.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.1)
+project(fcitx5-kkc VERSION 5.1.4)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -10,7 +10,7 @@
 include(ECMUninstallTarget)
 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
-option(USE_QT6 "Build against Qt6" Off)
+option(USE_QT6 "Build against Qt6" On)
 
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Core 5.0.6 REQUIRED)

=== debian/changelog ===
fcitx5-kkc (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:45:31 -0400

fcitx5-kkc (5.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 May 2024 14:11:23 -0400

fcitx5-kkc (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:30:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-kkc
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Standards-Version: 4.6.2
 Uploaders:
  Boyuan Yang <byang@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DUSE_QT6=Off

## fcitx5-kkc 5.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.4)
+project(fcitx5-kkc VERSION 5.1.5)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-kkc (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 15:19:57 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libglib2.0-dev,
  libjson-glib-dev,
  libkkc-dev,
- pkg-config,
+ pkgconf,
  qtbase5-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-kkc

## fcitx5-kkc 5.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.5)
+project(fcitx5-kkc VERSION 5.1.6)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -13,7 +14,7 @@
 option(USE_QT6 "Build against Qt6" On)
 
 find_package(PkgConfig REQUIRED)
-find_package(Fcitx5Core 5.0.6 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(LibKKC REQUIRED)
 find_package(Gettext REQUIRED)
 pkg_check_modules(Gee IMPORTED_TARGET "gee-0.8" REQUIRED)

=== debian/changelog ===
fcitx5-kkc (5.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Enable Qt6 build.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 10:18:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -10,14 +10,14 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5-qt-dev (>= 5.1.0),
- libfcitx5core-dev (>= 5.1.0),
+ libfcitx5-qt6-dev (>= 5.1.0),
+ libfcitx5core-dev (>= 5.1.12),,
  libgee-0.8-dev,
  libglib2.0-dev,
  libjson-glib-dev,
  libkkc-dev,
  pkgconf,
- qtbase5-dev,
+ qt6-base-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-kkc
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-kkc.git

## fcitx5-kkc 5.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.6)
+project(fcitx5-kkc VERSION 5.1.7)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
@@ -11,7 +11,6 @@
 include(ECMUninstallTarget)
 
 option(ENABLE_QT "Enable Qt for GUI configuration" On)
-option(USE_QT6 "Build against Qt6" On)
 
 find_package(PkgConfig REQUIRED)
 find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
@@ -22,14 +21,9 @@
 pkg_check_modules(GObject2 IMPORTED_TARGET "gobject-2.0" REQUIRED)
 
 if (ENABLE_QT)
-if (USE_QT6)
     set(QT_MAJOR_VERSION 6)
     find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets)
-else()
-    set(QT_MAJOR_VERSION 5)
-    find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui Widgets)
-endif()
-find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
+    find_package(Fcitx5Qt${QT_MAJOR_VERSION}WidgetsAddons REQUIRED)
 endif ()
 
 if (NOT SKK_DEFAULT_PATH)

=== debian/changelog ===
fcitx5-kkc (5.1.7-3) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:40:00 -0400

fcitx5-kkc (5.1.7-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1096617)

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Sep 2025 11:39:39 -0400

fcitx5-kkc (5.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:10:14 -0400

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-kkc/ \
 fcitx5-kkc-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx5-kkc 5.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.7)
+project(fcitx5-kkc VERSION 5.1.8)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)

=== gui/CMakeLists.txt ===
set(KKC_CONFIG_SRCS
  main.cpp
  dictwidget.cpp
  adddictdialog.cpp
  dictmodel.cpp
  shortcutmodel.cpp
  shortcutwidget.cpp
  rulemodel.cpp
  addshortcutdialog.cpp
  )

if(NOT ENABLE_QT)
  return()
endif()

add_library(fcitx5-kkc-config
  MODULE ${KKC_CONFIG_SRCS})

add_definitions(-DQT_NO_KEYWORDS)

target_include_directories(fcitx5-kkc-config PRIVATE ${PROJECT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set_target_properties(fcitx5-kkc-config PROPERTIES
                      AUTOMOC TRUE
                      AUTOUIC TRUE
                      AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
target_link_libraries(fcitx5-kkc-config
  Qt${QT_MAJOR_VERSION}::Core
  Qt${QT_MAJOR_VERSION}::Widgets
  Fcitx5Qt${QT_MAJOR_VERSION}::WidgetsAddons
  LibKKC::LibKKC PkgConfig::GObject2 PkgConfig::JSonGlib PkgConfig::Gee
  )

install(TARGETS fcitx5-kkc-config DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt${QT_MAJOR_VERSION})

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-kkc)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(KKC_SOURCES
     kkc.cpp
 )
-add_library(kkc MODULE ${KKC_SOURCES})
+add_fcitx5_addon(kkc ${KKC_SOURCES})
 target_link_libraries(kkc Fcitx5::Core Fcitx5::Config LibKKC::LibKKC PkgConfig::GObject2 PkgConfig::JSonGlib PkgConfig::Gee)
 target_include_directories(kkc PRIVATE ${PROJECT_BINARY_DIR})
 set_target_properties(kkc PROPERTIES PREFIX "")

=== debian/changelog ===
fcitx5-kkc (5.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:24:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- libfcitx5-qt6-dev (>= 5.1.0),
- libfcitx5core-dev (>= 5.1.12),,
+ libfcitx5-qt6-dev (>= 5.1.10-2~),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libgee-0.8-dev,
  libglib2.0-dev,
  libjson-glib-dev,

## fcitx5-kkc 5.1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.6)
 
 # The Project Name
-project(fcitx5-kkc VERSION 5.1.8)
+project(fcitx5-kkc VERSION 5.1.9)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)

=== debian/changelog ===
fcitx5-kkc (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:28:58 -0500

=== debian/control ===
Source: fcitx5-kkc
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Standards-Version: 4.7.3
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 libfcitx5-qt6-dev (>= 5.1.10-2~),
 libfcitx5core-dev (>= 5.1.14-4~),
 libgee-0.8-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libkkc-dev,
 pkgconf,
 qt6-base-dev,
Homepage: https://github.com/fcitx/fcitx5-kkc
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-kkc.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-kkc
Description: Fcitx5 wrapper for libkkc IM engine
 fcitx5-kkc is a wrapper of libkkc IM engine for Fcitx 5.
 .
 libkkc provides a converter from Japanese Kana-string to
 Kana-Kanji-mixed-string.

Package: fcitx5-kkc
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Conflicts:
 fcitx-kkc,
Description: ${source:Synopsis}
 ${source:Extended-Description}
